Skip to main content
POST
/
v1
/
runs
Create a new evaluation run
curl --request POST \
  --url https://api.dp1.us.honeyhive.ai/v1/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "run_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "status": "pending",
  "metadata": {},
  "results": {},
  "dataset_id": "<string>",
  "event_ids": [],
  "configuration": {},
  "evaluators": [],
  "session_ids": [],
  "datapoint_ids": [],
  "passing_ranges": {}
}
'
{
  "evaluation": {
    "id": "<string>",
    "run_id": "<string>",
    "metadata": {},
    "results": {},
    "event_ids": [
      "<string>"
    ],
    "configuration": {},
    "is_active": true,
    "created_at": "<string>",
    "scope_type": "<string>",
    "scope_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "status": "<string>",
    "metrics": {},
    "updated_at": "<string>",
    "dataset_id": "<string>"
  },
  "run_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for POST /runs

run_id
string
name
string
description
string
status
enum<string>
default:pending
Available options:
pending,
completed,
failed,
cancelled,
running
metadata
object
results
object
dataset_id
string | null
event_ids
string[]
configuration
object
evaluators
any[]
session_ids
string[]
datapoint_ids
string[]
Minimum string length: 1
passing_ranges
object

Response

Successful response

Response for POST /runs

evaluation
object
required
run_id
string
required